Subject: Re: linux-next: build failure after merge of the block tree

From: Nicolas Pitre <[email-masked]>
Date: Tue, 26 Apr 2016 10:40:57 -0400 (EDT)

On Tue, 26 Apr 2016, Stephen Rothwell wrote:

> Hi Michal,
> 
> On Tue, 26 Apr 2016 15:30:01 +0200 Michal Marek <[email-masked]> wrote:
> >
> > On 2016-04-26 05:38, Stephen Rothwell wrote:
> > > Hi Nicolas,
> > > 
> > > After merging the block tree, today's linux-next build (powerpc
> > > ppc64_defconfig) failed like this:
> > > 
> > > ERROR: ".blk_queue_write_cache" [drivers/block/virtio_blk.ko] undefined!
> > > ERROR: ".blk_queue_write_cache" [drivers/block/ps3disk.ko] undefined!
> > > ERROR: ".blk_queue_write_cache" [drivers/block/nbd.ko] undefined!
> > > 
> > > Caused by commit
> > > 
> > >   089095b8eef9 ("kbuild: better abstract vmlinux sequential prerequisites")
> > > 
> > > from the kbuild-pite tree.
> > > 
> > > I have reverted that commit for today.  
> > 
> > I can't reproduce this with today's linux-next and the revert reverted.
> > Also, CONFIG_TRIM_UNUSED_KSYMS is disabled in the defconfig as expected,
> > so I have no idea what went wrong.
> 
> Yeah, I couldn't figure it out either, but the revert made it work for
> me.  Could it be that I do incremental builds - so today, I would have
> built commit b087ce990625 ("Merge remote-tracking branch 'input/next'")
> which worked, then commit 9d67df654092 ("Merge remote-tracking branch
> 'block/for-next'") which failed.
> 
> The only suspect code in the block tree has been there since April 13
> with no build failures.
> 
> Anyway, I can see how things go tomorrow, but I hate it when things
> seem fragile like this.

If you can reproduce this build failure, could you try a make mrproper 
and attempt it again?  I, too, would like to find an explanation and a 
way to reproduce.

Nicolas